<?xml version="1.0" encoding="UTF-8"?>
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:ns11="http://xbrl.org/2008/assertion/consistency" xmlns:xl="http://www.xbrl.org/2003/XLink">
    <link:roleRef roleURI="http://www.greenxmetals.com/role/ias_1_role-210000" xlink:href="grx-2025-06-30.xsd#ias_1_role-210000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.greenxmetals.com/role/ias_1_role-320000" xlink:href="grx-2025-06-30.xsd#ias_1_role-320000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.greenxmetals.com/role/ias_7_role-510000" xlink:href="grx-2025-06-30.xsd#ias_7_role-510000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.greenxmetals.com/role/ias_1_role-610000" xlink:href="grx-2025-06-30.xsd#ias_1_role-610000" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.greenxmetals.com/role/Anchoring" xlink:href="grx-2025-06-30.xsd#Anchoring" xlink:type="simple"/>
    <link:roleRef roleURI="http://www.greenxmetals.com/role/role_000010" xlink:href="grx-2025-06-30.xsd#role_000010" xlink:type="simple"/>
    <link:arcroleRef arcroleURI="https://xbrl.org/2023/arcrole/summation-item" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" xlink:type="simple"/>
    <link:calculationLink xlink:role="http://www.greenxmetals.com/role/ias_1_role-210000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:type="locator" xlink:label="Loc_101"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:type="locator" xlink:label="Loc_102"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Liabilities" xlink:type="locator" xlink:label="Loc_116"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:type="locator" xlink:label="Loc_117"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisions" xlink:type="locator" xlink:label="Loc_118"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:type="locator" xlink:label="Loc_126"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:type="locator" xlink:label="Loc_136"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_145"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:type="locator" xlink:label="Loc_146"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AssetsArisingFromExplorationForAndEvaluationOfMineralResources" xlink:type="locator" xlink:label="Loc_147"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:type="locator" xlink:label="Loc_148"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisions" xlink:type="locator" xlink:label="Loc_150"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:type="locator" xlink:label="Loc_155"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:type="locator" xlink:label="Loc_156"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentAssets" xlink:type="locator" xlink:label="Loc_160"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:type="locator" xlink:label="Loc_161"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_IssuedCapitalAndSharePremium" xlink:type="locator" xlink:label="Loc_162"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReserves" xlink:type="locator" xlink:label="Loc_163"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:type="locator" xlink:label="Loc_164"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:type="locator" xlink:label="Loc_165"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NetAssetsLiabilities" xlink:type="locator" xlink:label="Loc_88"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:type="locator" xlink:label="Loc_89"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:type="locator" xlink:label="Loc_90"/>
        <link:calculationArc weight="1" xlink:from="Loc_136" xlink:to="Loc_161" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_161" xlink:to="Loc_162" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_161" xlink:to="Loc_163" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_161" xlink:to="Loc_164" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_136" xlink:to="Loc_165" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_88" xlink:to="Loc_89" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_89" xlink:to="Loc_90" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_90" xlink:to="Loc_145" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_90" xlink:to="Loc_146" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_89" xlink:to="Loc_101" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_101" xlink:to="Loc_147" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_101" xlink:to="Loc_102" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_101" xlink:to="Loc_160" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_88" xlink:to="Loc_116" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_116" xlink:to="Loc_126" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_126" xlink:to="Loc_148" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_126" xlink:to="Loc_155" order="17.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_126" xlink:to="Loc_150" order="18.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_116" xlink:to="Loc_117" order="19.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_117" xlink:to="Loc_156" order="20.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_117" xlink:to="Loc_118" order="21.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.greenxmetals.com/role/ias_1_role-320000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="locator" xlink:label="Loc_111"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:type="locator" xlink:label="Loc_113"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:type="locator" xlink:label="Loc_114"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome" xlink:type="locator" xlink:label="Loc_115"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ExpenseArisingFromExplorationForAndEvaluationOfMineralResources" xlink:type="locator" xlink:label="Loc_116"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:type="locator" xlink:label="Loc_117"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GeneralAndAdministrativeExpense" xlink:type="locator" xlink:label="Loc_118"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RentalExpense" xlink:type="locator" xlink:label="Loc_119"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_BusinessDevelopmentExpenses" xlink:type="locator" xlink:label="Loc_120"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets" xlink:type="locator" xlink:label="Loc_121"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_ArbitrationRelatedExpenses" xlink:type="locator" xlink:label="Loc_122"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:type="locator" xlink:label="Loc_124"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator" xlink:label="Loc_127"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_65"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_66"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_67"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator" xlink:label="Loc_77"/>
        <link:calculationArc weight="1" xlink:from="Loc_65" xlink:to="Loc_66" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_66" xlink:to="Loc_113" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_113" xlink:to="Loc_114" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_113" xlink:to="Loc_115" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_113" xlink:to="Loc_116" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_113" xlink:to="Loc_117" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_113" xlink:to="Loc_118" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_113" xlink:to="Loc_119" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_113" xlink:to="Loc_120" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_113" xlink:to="Loc_121" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_113" xlink:to="Loc_122" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_113" xlink:to="Loc_124" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_66" xlink:to="Loc_127" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_65" xlink:to="Loc_67" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_67" xlink:to="Loc_77" order="15.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_77" xlink:to="Loc_111" order="16.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.greenxmetals.com/role/ias_7_role-510000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:type="locator" xlink:label="Loc_1"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator" xlink:label="Loc_71"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees" xlink:type="locator" xlink:label="Loc_72"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReceiptsFromSalesOfGoodsAndRenderingOfServices" xlink:type="locator" xlink:label="Loc_73"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:type="locator" xlink:label="Loc_74"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator" xlink:label="Loc_75"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_76"/>
        <link:loc xlink:href="grx-2025-06-30.xsd#grx_PaymentsForArbitrationRelatedExpenses" xlink:type="locator" xlink:label="Loc_77"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInExplorationForAndEvaluationOfMineralResourcesClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_80"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator" xlink:label="Loc_83"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:type="locator" xlink:label="Loc_84"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsForShareIssueCosts" xlink:type="locator" xlink:label="Loc_85"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="locator" xlink:label="Loc_86"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInExplorationForAndEvaluationOfMineralResourcesClassifiedAsOperatingActivities" xlink:type="locator" xlink:label="Loc_89"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromGovernmentGrantsClassifiedAsInvestingActivities" xlink:type="locator" xlink:label="Loc_90"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_71" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_71" xlink:to="Loc_72" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_71" xlink:to="Loc_73" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_71" xlink:to="Loc_74" order="4.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_71" xlink:to="Loc_89" order="5.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_75" order="6.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_75" xlink:to="Loc_76" order="7.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_75" xlink:to="Loc_77" order="8.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_75" xlink:to="Loc_80" order="9.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_75" xlink:to="Loc_90" order="10.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_1" xlink:to="Loc_83" order="11.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_83" xlink:to="Loc_84" order="12.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_83" xlink:to="Loc_85" order="13.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="-1" xlink:from="Loc_83" xlink:to="Loc_86" order="14.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.greenxmetals.com/role/ias_1_role-610000" xlink:type="extended">
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:type="locator" xlink:label="Loc_24"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:type="locator" xlink:label="Loc_25"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:type="locator" xlink:label="Loc_26"/>
        <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:type="locator" xlink:label="Loc_27"/>
        <link:calculationArc weight="1" xlink:from="Loc_24" xlink:to="Loc_25" order="1.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_24" xlink:to="Loc_26" order="2.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
        <link:calculationArc weight="1" xlink:from="Loc_26" xlink:to="Loc_27" order="3.0" xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item" xlink:type="arc"/>
    </link:calculationLink>
    <link:calculationLink xlink:role="http://www.greenxmetals.com/role/Anchoring" xlink:type="extended"/>
    <link:calculationLink xlink:role="http://www.greenxmetals.com/role/role_000010" xlink:type="extended"/>
</link:linkbase>
